Name:          zsh
Version:       5.8.1
Release:       2mamba
Summary:       A shell designed for interactive us
Group:         Applications/Shells
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.zsh.org/
Source:        https://downloads.sourceforge.net/project/zsh/zsh/%{version}/zsh-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgdbm-devel
BuildRequires: libncurses-devel
## AUTOBUILDREQ-END
Provides:      /bin/zsh

%description
Zsh is a shell designed for interactive use, although it is also a powerful scripting language. More information can be found on the "Zsh Web Pages" sites.

%debug_package

%prep
%setup -q

%build
%configure \
   --bindir=%{_bindir} \
   --with-tcsetpgrp

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/zsh
%{_bindir}/zsh-%{version}
%dir %{_libdir}/zsh/%{version}/zsh
%{_libdir}/zsh/%{version}/zsh/*.so
%dir %{_libdir}/zsh/%{version}/zsh/db
%{_libdir}/zsh/%{version}/zsh/db/*.so
%dir %{_libdir}/zsh/%{version}/zsh/net
%{_libdir}/zsh/%{version}/zsh/net/*.so
%dir %{_libdir}/zsh/%{version}/zsh/param
%{_libdir}/zsh/%{version}/zsh/param/*.so
%dir %{_datadir}/zsh/%{version}
%dir %{_datadir}/zsh/%{version}/functions
%{_datadir}/zsh/%{version}/functions/*
%dir %{_datadir}/zsh/%{version}/help
%{_datadir}/zsh/%{version}/help/*
%dir %{_datadir}/zsh/%{version}/scripts
%{_datadir}/zsh/%{version}/scripts/*
%{_mandir}/man1/zsh*.1*
%doc LICENCE
#% doc ChangeLog NEWS README

%changelog
* Sun Apr 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.8.1-2mamba
- rebuilt in %_bindir

* Mon Feb 14 2022 Automatic Build System <autodist@mambasoft.it> 5.8.1-1mamba
- automatic version update by autodist

* Tue Feb 25 2020 Automatic Build System <autodist@mambasoft.it> 5.8-1mamba
- automatic version update by autodist

* Mon Feb 04 2019 Automatic Build System <autodist@mambasoft.it> 5.7.1-1mamba
- automatic version update by autodist

* Tue Jan 29 2019 Automatic Build System <autodist@mambasoft.it> 5.7-1mamba
- automatic version update by autodist

* Sun Sep 16 2018 Automatic Build System <autodist@mambasoft.it> 5.6.2-1mamba
- automatic version update by autodist

* Fri Sep 14 2018 Automatic Build System <autodist@mambasoft.it> 5.6.1-1mamba
- automatic version update by autodist

* Thu Apr 19 2018 Automatic Build System <autodist@mambasoft.it> 5.5.1-1mamba
- automatic version update by autodist

* Fri Apr 13 2018 Automatic Build System <autodist@mambasoft.it> 5.5-1mamba
- automatic version update by autodist

* Thu Nov 30 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.2-1mamba
- package created using the webbuild interface
